.sf-header {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    min-width: $breakpoint-desktop;
    height: rem(52);
    position: fixed;
    z-index: 1100;
    border-bottom: rem(1) solid $grey300;
    background-color: $grey50;
    top: 0;
    z-index: 100;

    .top-logo{
        display: flex;
        width: rem(390);
        height: 100%;

        .btn-open-all-menu{
            display: flex;
            align-items: center;
            flex: 0 0 52px;
            justify-content: center;
            height: 100%;
            background-color: $primary600;
        }
    
        .logo {
            display: flex;
            color: $primary800;
            margin: 0 12px;
            height: 100%;
            flex: 0 0 rem(320);
            align-items: center;
            justify-content: center;
            font-weight: 700;
            font-size: rem(18);
            line-height: rem(22);
            .abb{
                padding-right: rem(12);
                color: $primary800;
                font-weight: $bold;
                line-height: rem(36);
                border-right: 1px solid $grey400;
            }
            .full{
                align-self: end;
                margin-left: rem(12);
                span{
                    line-height: rem(18);
                    &.ko{
                        color: $primary800;
                        font-weight: $medium;
                    }
                    &.en{
                        color: $grey600;
                        font-size: rem(12);
                        font-weight: $light;
                        vertical-align: top;
                    }
                }
                
            }
        }
            
    
    }

   
    .top-gnb {
        width: rem(750);
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 100%;
    }
    .top-main-nav {
        height: 100%;
        min-width: rem(600);

        .depth1 {
            display: flex;
            height: 100%;
            justify-content: center;

            .depth1-list {
                position: relative;
                height: 100%;
                padding: 0 rem(20);

                &:first-child {
                    padding-left: rem(51);
                }

                .depth1-link {
                    display: inline-flex;
                    height: 100%;
                    text-decoration: none;
                    color: $grey500;
                    font-size: rem(13);
                    position: relative;
                    align-items: center;

                    &:hover, 
                    &.on {
                        color: $black;
                        font-weight: $bold;

                        &:after {
                            content: "";
                            position: absolute;
                            width: 100%;
                            height: rem(3);
                            background-color: $primary600;
                            left: 0;
                            bottom: 0;
                        }
                    }
                }

                &.on {
                    & > a {
                        color: $black;
                        font-weight: $bold;
                        &:after {
                            content: "";
                            position: absolute;
                            width: 100%;
                            height: rem(3);
                            background-color: $primary600;
                            left: 0;
                            bottom: 0;
                        }
                    }
                }
                
                .depth2-list {
                    position: absolute;
                    display: none;
                    left: rem(20);
                    background-color: $white;
                    min-width: rem(200);
                    padding: rem(8) 0px;
                    border: 1px solid $grey300;
                    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.17), 0px 4px 5px rgba(0, 0, 0, 0.11);
                    border-radius: 2px;
                    z-index: 9999;
                    &.on {
                        display: block;
                    }
                    li {
                       
                        &:hover,
                        &.on {
                            a {
                                background: $secondary50 url('../img/nav-check.png') no-repeat right 10px center;
                            }
                            .favorites {
                                background-image: url('../img/ico-favorites-over.png');
                            }
                            .favorites.active {
                                background-image: url('../img/ico-favorites-complete.png');
                            }
                        }
                        a {
                            padding: rem(6) rem(8);
                            color: $black;
                            font-size: rem(13);
                            line-height: 1.2;
                            display: block;
                            white-space: nowrap;
                            text-decoration: none;
                        }
                        
                    }
                }
            }
        }
    }

    .nav-right {
        display: flex;
        height: 100%;
        align-items: center;
        margin-right: rem(45); //23070602
        li {
            height: 100%;
            align-items: center;
            display: flex;

            button{
                &:not(.btn-search){
                    padding: 0;
                    margin: 0 rem(6);
                }
            }

            a {
                color: $grey700;
                font-size: rem(13);
                font-weight: $medium;
                text-decoration: none;
                &.language{
                    min-width: rem(40);
                    margin: 0 rem(20);
                    img{
                        vertical-align: middle;
                    }
                }
                &.avatar{
                    min-width: rem(80);
                    .round{
                        width: rem(24);
                        height: rem(24);
                        margin-right: rem(5);
                        border-radius: 12px;
                        vertical-align: middle;
                        overflow: hidden;
                        background: $white url(../img/ico-avatar.png) no-repeat center;
                        img{
                            width: rem(24);
                            height: rem(24);
                        }
                    }
                }
            }

            .btn-toggle-wrap{
                margin-left: rem(12);
                .switch-toggle {
                    position: relative;
                    display: block;
                    box-sizing: border-box;
                    width: 60px;
                    height: 30px;
                    border: 1px solid $grey300;
                    border-radius: 15px;
                    box-shadow: inset 2px 2px 4px rgba(151, 153, 152, 0.4);
                    background: $grey200 url(../img/ico-mode-light.svg) no-repeat 7px center;
                    transition: all 0.2s ease-in;
                    cursor: pointer;
    
                    .btn-toggle {
                        width: 22px;
                        height: 22px;
                        position: absolute;
                        top: calc(50% - 22px/2);
                        left: calc(100% - 26px);
                        
                        border-radius: 50%;
                        background: #FFFFFF;
                        box-shadow: -1px 2px 4px rgba(151, 153, 152, 0.4);
                        transition: all 0.2s ease-in;
                    }
                } 
                #toggle:checked ~ .switch-toggle {
                    .btn-toggle {
                        left: 4px;
                        background: #fff;
                    }
                }
            }

           
        }
    }

}

.popover{
    &.favorite{
        top: 55px !important;
        width: rem(200);
        background: $white;
        border: 1px solid $grey300;
        box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.17), 0px 4px 5px rgba(0, 0, 0, 0.11);
        border-radius: 2px;

        ul{
            padding: rem(10) 0;
            li{
                padding: rem(8) rem(2);
                a{
                    color: $black;

                    &:hover{
                        color: $primary600;
                    }
                }
            }
        }

        .recent-menu{
            position: relative;
            border-bottom: 1px solid $grey400;
            &::after{
                position: absolute;
                bottom: -9px;
                left: 50%;
                content: '';
                width: rem(32);
                height: rem(18);
                transform: translateX(-50%);
                background: $white url(../img/bg-favorite-list.png) no-repeat center;
            }
        }
        .all-menu{
            color: $secondary;
            font-weight: $bold;
            &::after{
                content: '';
                width: rem(18);
                height: rem(12);
                margin-left: rem(10);
                display: inline-block;
                vertical-align: middle;
                background: $white url(../img/ico-go.svg) no-repeat center;
            }
        }
    } 
    &.allmenu{
        position: fixed;
        left: 0;
        top: 52px !important;
        width: 100%;
        max-width: 100%;
        padding: rem(24);
        border-radius: 0;
        background: $white;
        .all-menu-top{
            display: flex;
            align-items: center;
            padding-bottom: rem(10);
            border-bottom: 1px solid $grey300;
            position: relative;
            h3{
                margin-right: rem(20);
            }
            .search-input-wrap{
                width: rem(320);
            }
            .btn-close-allmenu{
                position: absolute;
                right: rem(0);
            }
        }
        .all-menu-list{
            margin-top: rem(20);
            display: flex;
            .menu{
                margin-right: rem(100);
            }
            .all-menu-depth1{
                display: block;
                font-weight: $bold;
                color: $black;
                font-size: rem(15);
                margin-bottom: rem(10);
            }
            .all-menu-depth2{
                li{
                    display: flex;
                    button{
                        padding: 0;
                        margin: 0 rem(6) 0 0;
                    }
                    a{
                        display: block;
                        margin: rem(6) 0;
                        &:hover{
                            color: $primary600;
                        }
                    }
                }
            }
        }
    }
    &.filter{
        top: 163px !important;
        width: rem(200);
        background: $white;
        border: 1px solid $grey400;
        box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.17), 0px 4px 5px rgba(0, 0, 0, 0.11);
        border-radius: 2px;
        max-width: rem(200);

        .txt{
            display: block;
            font-size: rem(13);
            line-height: rem(19);
        }

        .custom-checkbox{
            display: block;
            margin: rem(10) 0;
            padding-left: 0;

            label{
                padding-left: rem(25);
            }
        }
    }
}